classification
Title: dictobject.c: refleak
Type: resource usage Stage: resolved
Components: Interpreter Core Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Suman.Saha, petri.lehtinen, python-dev
Priority: normal Keywords: patch

Created on 2011-09-20 14:56 by Suman.Saha, last changed 2011-10-24 18:36 by petri.lehtinen. This issue is now closed.

Files
File name Uploaded Description Edit
python_patch6 Suman.Saha, 2011-09-20 14:56 Patch review
Messages (3)
msg144335 - (view) Author: Suman Saha (Suman.Saha) Date: 2011-09-20 14:56
Something that is allocated using PyObject_CallObjec is not freed on one
or more error paths.
msg146314 - (view) Author: Roundup Robot (python-dev) Date: 2011-10-24 18:33
New changeset 5d7164febff1 by Petri Lehtinen in branch '2.7':
Issue #13018: Fix reference leaks in error paths in dictobject.c.
http://hg.python.org/cpython/rev/5d7164febff1

New changeset df24a8b57148 by Petri Lehtinen in branch '3.2':
Issue #13018: Fix reference leaks in error paths in dictobject.c.
http://hg.python.org/cpython/rev/df24a8b57148
msg146315 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2011-10-24 18:36
Thanks for the patch, fixed.
History
Date User Action Args
2011-10-24 18:36:18petri.lehtinensetstatus: open -> closed
messages: + msg146315

keywords: - needs review
resolution: fixed
stage: patch review -> resolved
2011-10-24 18:33:33python-devsetnosy: + python-dev
messages: + msg146314
2011-10-24 07:03:03petri.lehtinensetkeywords: + patch, needs review
nosy: + petri.lehtinen
2011-09-21 19:28:56skrahsetstage: patch review
components: + Interpreter Core
versions: + Python 3.3
2011-09-21 19:27:03skrahsettitle: Resource is not released before returning from the functiion -> dictobject.c: refleak
2011-09-20 14:56:03Suman.Sahacreate